coverage:clang10-seq-coverage:
  image: localhost:5000/ubuntu_clang10
  stage: coverage
  script:
    - mkdir -p build/clang10-cov
    - cd build/clang10-cov
    - CXX=clang++-10 CC=clang-10 cmake ../.. -DCMAKE_BUILD_TYPE=Coverage -DCLANG_FORMAT=/usr/bin/clang-format-10
    - make pugs
    - make coverage
  cache:
    key: "${CI_COMMIT_REF_SLUG}-clang10-cov"
    paths:
      - build/clang10-cov
    untracked: true
